<h1>Projeto</h1>
<ul class="tree">
    <li>
        <span wm-folder >Backend</span> 
        <ul>
            <li>
                <span wm-folder >app</span>
                <ul>
                    <li>produto.js</li>
                    <li>usuario.js</li>
                    <li>venda.js</li>
                </ul>
            </li>
            <li>
                <span wm-folder >config</span>
                <ul>
                    <li>banco.jf</li>
                    <li>rotas.js</li>
                    <li>server.js</li>
                </ul>
            </li>
        </ul>
    </li>
    <li>
        <span wm-folder >frontend</span>
        <ul>
            <li>
                <span wm-folder >public</span>
                <ul>
                    <li>app.css</li>
                    <li>app.js</li>
                    <li>index.html</li>
                </ul>
            </li>
        </ul>
    </li>
</ul>

<script>
    document.querySelectorAll('[wm-folder]').forEach(folder =>{
        folder.onclick = function(e){
            const ul = folder.nextElementSibling
            const displayAtual = ul.style.display
            ul.style.display = displayAtual === 'none' ? 'block' : 'none'
        }
    })
</script>

<link rel="stylesheet" href="http://files.cod3r.com.br/curso-web/tree.css">